Loading...
Searching...
No Matches
basis_on_pointset< T >

## Detailed Description

template<class T>
class rheolef::basis_on_pointset< T >

Definition at line 191 of file basis_on_pointset.h.

Inheritance diagram for basis_on_pointset< T >:

## Public Types

typedef basis_on_pointset_rep< T > | rep
typedef smart_pointer< rep > | base
typedef rep::size_type | size_type
Public Types inherited from smart_pointer< basis_on_pointset_rep< T > >
typedef basis_on_pointset_rep< T > | handled_type
typedef base::internal | internal

## Public Member Functions

| basis_on_pointset (const std::string &name="")
| basis_on_pointset (const quadrature< T > &quad, const basis_basic< T > &b)
| basis_on_pointset (const basis_basic< T > &nb, const basis_basic< T > &b)
void | reset (const std::string &name)
void | set (const quadrature< T > &quad, const basis_basic< T > &b)
void | set (const basis_basic< T > &nb, const basis_basic< T > &b)
bool | is_set () const
const basis_basic< T > & | get_basis () const
size_type | ndof (reference_element hat_K) const
size_type | nnod (reference_element hat_K) const
bool | has_quadrature () const
const quadrature< T > & | get_quadrature () const
const basis_basic< T > & | get_nodal_basis () const
template<class Value >
const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | evaluate (reference_element hat_K) const
template<class Value >
const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | evaluate_on_side (reference_element tilde_L, const side_information_type &sid) const
template<class Value >
const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | grad_evaluate (reference_element hat_K) const
template<class Value >
const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & | grad_evaluate_on_side (reference_element tilde_L, const side_information_type &sid) const
Public Member Functions inherited from smart_pointer< basis_on_pointset_rep< T > >
| smart_pointer (basis_on_pointset_rep< T > *p=0)
| smart_pointer (void *count, internal i)
| smart_pointer (const smart_pointer< basis_on_pointset_rep< T > > &x)
smart_pointer< basis_on_pointset_rep< T > > & | operator= (const smart_pointer< basis_on_pointset_rep< T > > &x)
| ~smart_pointer ()
Public Member Functions inherited from smart_pointer_base< T, C >
| smart_pointer_base (T *p=0)
| smart_pointer_base (const smart_pointer_base< T, C > &)
| smart_pointer_base (void *count, internal)
smart_pointer_base< T, C > & | operator= (const smart_pointer_base< T, C > &)
| ~smart_pointer_base ()
const T * | pointer () const
const T & | data () const
const T * | operator-> () const
const T & | operator* () const
T * | pointer ()
T & | data ()
T * | operator-> ()
T & | operator* ()
int | reference_counter () const
counter * | get_count () const

## Additional Inherited Members

Static Public Member Functions inherited from persistent_table< basis_on_pointset< T > >
static basis_on_pointset< T > | load (const std::string &name)
static void | unload (const std::string &name)
static bool | verbose ()
static void | set_verbose (bool v)
Protected Types inherited from persistent_table< basis_on_pointset< T > >
using | loaded_map_type = std::unordered_map< std::string, void * >
Static Protected Member Functions inherited from persistent_table< basis_on_pointset< T > >
static loaded_map_type & | get_loaded_map ()
Static Protected Attributes inherited from persistent_table< basis_on_pointset< T > >
static loaded_map_type | _loaded_map
static bool | _verbose

## Member Typedef Documentation

## rep

template<class T >

typedef basis_on_pointset_rep<T> rep

Definition at line 195 of file basis_on_pointset.h.

## base

template<class T >

typedef smart_pointer<rep> base

Definition at line 196 of file basis_on_pointset.h.

## size_type

template<class T >

typedef rep::size_type size_type

Definition at line 197 of file basis_on_pointset.h.

## Constructor & Destructor Documentation

## basis_on_pointset() [1/3]

template<class T >

basis_on_pointset | ( | const std::string & | name = `""` | ) |

Definition at line 104 of file basis_on_pointset.cc.

## basis_on_pointset() [2/3]

template<class T >

basis_on_pointset | ( | const quadrature< T > & | quad,
|  | const basis_basic< T > & | b
| ) |  |

Definition at line 111 of file basis_on_pointset.cc.

## basis_on_pointset() [3/3]

template<class T >

basis_on_pointset | ( | const basis_basic< T > & | nb,
|  | const basis_basic< T > & | b
| ) |  |

Definition at line 119 of file basis_on_pointset.cc.

## Member Function Documentation

## reset()

template<class T >

void reset | ( | const std::string & | name | ) |

Definition at line 95 of file basis_on_pointset.cc.

## set() [1/2]

template<class T >

void set | ( | const quadrature< T > & | quad,
|  | const basis_basic< T > & | b
| ) |  |

Definition at line 128 of file basis_on_pointset.cc.

## set() [2/2]

template<class T >

void set | ( | const basis_basic< T > & | nb,
|  | const basis_basic< T > & | b
| ) |  |

Definition at line 135 of file basis_on_pointset.cc.

## is_set()

template<class T >

bool is_set | ( |  | ) | const

Definition at line 291 of file basis_on_pointset.h.

## get_basis()

template<class T >

const basis_basic< T > & get_basis | ( |  | ) | const

Definition at line 249 of file basis_on_pointset.h.

## ndof()

template<class T >

basis_on_pointset< T >::size_type ndof | ( | reference_element | hat_K | ) | const

Definition at line 256 of file basis_on_pointset.h.

## nnod()

template<class T >

basis_on_pointset< T >::size_type nnod | ( | reference_element | hat_K | ) | const

Definition at line 263 of file basis_on_pointset.h.

## has_quadrature()

template<class T >

bool has_quadrature | ( |  | ) | const

Definition at line 270 of file basis_on_pointset.h.

## get_quadrature()

template<class T >

const quadrature< T > & get_quadrature | ( |  | ) | const

Definition at line 277 of file basis_on_pointset.h.

## get_nodal_basis()

template<class T >

const basis_basic< T > & get_nodal_basis | ( |  | ) | const

Definition at line 284 of file basis_on_pointset.h.

## evaluate()

template<class T >
template<class Value >

const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & evaluate | ( | reference_element | hat_K | ) | const

Definition at line 299 of file basis_on_pointset.h.

## evaluate_on_side()

template<class T >
template<class Value >

const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & evaluate_on_side | ( | reference_element | tilde_L,
|  | const side_information_type & | sid
| ) |  | const

Definition at line 315 of file basis_on_pointset.h.

## grad_evaluate()

template<class T >
template<class Value >

const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & grad_evaluate | ( | reference_element | hat_K | ) | const

Definition at line 307 of file basis_on_pointset.h.

## grad_evaluate_on_side()

template<class T >
template<class Value >

const Eigen::Matrix< Value, Eigen::Dynamic, Eigen::Dynamic > & grad_evaluate_on_side | ( | reference_element | tilde_L,
|  | const side_information_type & | sid
| ) |  | const

Definition at line 325 of file basis_on_pointset.h.

The documentation for this class was generated from the following files:

- /build/rheolef-Hrneba/rheolef-7.2/fem/lib/basis_on_pointset.h
- /build/rheolef-Hrneba/rheolef-7.2/fem/lib/basis_on_pointset.cc